Subject: Re: 29.0.50; pgtk: characters typed into minibuffers inserted multiple times

From: João Távora <[email-masked]>
Date: Tue, 11 Jan 2022 09:44:18 +0000

Thanks, Sean, that's very good investigation and I'll admit induces
a "phew" on my part ;-)

And yes, I'm pretty sure this will happen with icomplete-mode as
well.

João

On Tue, Jan 11, 2022 at 12:11 AM Sean Whitton <[email-masked]>
wrote:

> Hello,
>
> On Sat 01 Jan 2022 at 04:14PM -07, Sean Whitton wrote:
>
> > If the system is under heavy load, and/or Emacs is compiled with debug
> > options which substantially slow it down, and fido-mode is enabled, then
> > typing quickly into the minibuffer can result in typed characters
> > inserted more than once.  Here is how I can reproduce it:
> >
> >     emacs -Q
> >     M-x fido-mode RET
> >     C-h v
> >
> > and quickly try to type "font-weight-table".  This is what I get in the
> > minibuffer:
> >
> >     font-weweweweweweweight-tatabe
> >
> > Although I made at least one typo (I didn't type the 'l'), I definitely
> > did not type 'we' and 'ta' that many times.
> >
> > I haven't been able to reproduce with icomplete-mode, but as the problem
> > does not occur consistently, I am not confident it does not occur with
> > icomplete-mode.
>
> It occurred to me to try --with-x-toolkit=lucid instead of --with-pgtk.
> Sure enough, I cannot reproduce the bug.  So I think the problem is
> something about how pgtk receives and processes keyboard input.
>
> In summary: I can reproduce with pgtk running as a native Wayland
> application, and I cannot reproduce with the Lucid build running under
> Xwayland.  In both cases, swaywm.  I have retitled the bug.
>
> Thanks.
>
> --
> Sean Whitton
>

-- 
João Távora